### Method

# Shumate DataSourceRequest emit_error

since: 1.1

#### Declaration [src]

    void
    shumate_data_source_request_emit_error (
      ShumateDataSourceRequest* self,
      const GError* error
    )

#### Description [src]

Emits a fatal error in response to the request. This completes the request, so no more data or errors can be emitted after this. Non-fatal errors should not be reported.

If `ShumateDataSourceRequest:data` was previously set, it will be cleared.

Available since: 1.1

#### Parameters

`error`

  Type: `GError`

  An error.

  The data is owned by the caller of the method.